Summary:	DHCP D-BUS daemon (dhcdbd)
Name:		dhcdbd
Version:	2.8
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Networking
Url:		http://people.redhat.com/jvdias/dhcdbd
Source0:	http://people.redhat.com/dcantrel/dhcdbd/%{name}-%{version}.tar.bz2
Source1:	dhcdbd.init
BuildRequires:	dbus-devel
Requires:	dhcp-client
Requires(post):	rpm-helper
Requires(preun): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
DHCP D-BUS daemon (dhcdbd) controls dhclient sessions with D-BUS,
stores and presents DHCP options.

%prep
%setup -q

%build
%make DBUS_INCLUDES="$(pkg-config dbus-1 --cflags)"

%install
rm -rf %{buildroot}
%makeinstall_std
install -d %{buildroot}%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
/sbin/dhcdbd
%{_initrddir}/%{name}
%{_sysconfdir}/dbus-1/system.d/dhcdbd.conf
%{_datadir}/dbus-1/services/dhcdbd.service


%changelog
* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8-1mdv2008.0
+ Revision: 51383
- new version
- spec file clean

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 2.7-1mdv2008.0
+ Revision: 16051
- 2.7
- Import dhcdbd



* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15-4mdv2007.0
- Patch0: don't use deprecated dbus API

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 1.15-3mdv2007.0
- require dhcp-client, not dhclient

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 1.15-2mdv2007.0
- add initscript (from Fedora)
- require dhclient

* Tue Jul 18 2006 Olivier Blin <blino@mandriva.com> 1.15-1mdv2007.0
- initial Mandriva release (unreleased version from Fedora package)
